parameters:
    ### Locale
    pim_connector.job_name.csv_locale_export: 'csv_locale_export'
    pim_connector.job_name.csv_locale_import: 'csv_locale_import'
    pim_connector.job_name.xlsx_locale_export: 'xlsx_locale_export'
    pim_connector.job_name.xlsx_locale_import: 'xlsx_locale_import'

    ### Channel
    pim_connector.job_name.csv_channel_export: 'csv_channel_export'
    pim_connector.job_name.csv_channel_import: 'csv_channel_import'
    pim_connector.job_name.xlsx_channel_export: 'xlsx_channel_export'
    pim_connector.job_name.xlsx_channel_import: 'xlsx_channel_import'

    ### Currency
    pim_connector.job_name.csv_currency_export: 'csv_currency_export'
    pim_connector.job_name.csv_currency_import: 'csv_currency_import'
    pim_connector.job_name.xlsx_currency_export: 'xlsx_currency_export'
    pim_connector.job_name.xlsx_currency_import: 'xlsx_currency_import'

services:
    ### Locale
    pim_connector.job.csv_locale_import:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.csv_locale_import%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_locale_import.import'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.csv%', type: '%pim_connector.job.import_type%' }

    pim_connector.job.csv_locale_export:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.csv_locale_export%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.csv_locale_export.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.csv%', type: '%pim_connector.job.export_type%' }

    pim_connector.job.xlsx_locale_import:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.xlsx_locale_import%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.xlsx_locale_import.import'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.xlsx%', type: '%pim_connector.job.import_type%' }

    pim_connector.job.xlsx_locale_export:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.xlsx_locale_export%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.xlsx_locale_export.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.xlsx%', type: '%pim_connector.job.export_type%' }

    ### Channel
    pim_connector.job.csv_channel_import:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.csv_channel_import%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_channel_import.import'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.csv%', type: '%pim_connector.job.import_type%' }

    pim_connector.job.csv_channel_export:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.csv_channel_export%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.csv_channel_export.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.csv%', type: '%pim_connector.job.export_type%' }

    pim_connector.job.xlsx_channel_import:
            class: 'Akeneo\Tool\Component\Batch\Job\Job'
            arguments:
                - '%pim_connector.job_name.xlsx_channel_import%'
                - '@event_dispatcher'
                - '@akeneo_batch.job_repository'
                -
                    - '@pim_connector.step.charset_validator'
                    - '@pim_connector.step.xlsx_channel_import.import'
                - true
            tags:
                - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.xlsx%', type: '%pim_connector.job.import_type%' }

    pim_connector.job.xlsx_channel_export:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.xlsx_channel_export%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.xlsx_channel_export.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.xlsx%', type: '%pim_connector.job.export_type%' }

    ### Currency
    pim_connector.job.csv_currency_import:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.csv_currency_import%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.csv_currency_import.import'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.csv%', type: '%pim_connector.job.import_type%' }

    pim_connector.job.csv_currency_export:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.csv_currency_export%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.csv_currency_export.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.csv%', type: '%pim_connector.job.export_type%' }


    pim_connector.job.xlsx_currency_import:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.xlsx_currency_import%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.charset_validator'
                - '@pim_connector.step.xlsx_currency_import.import'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.xlsx%', type: '%pim_connector.job.import_type%' }

    pim_connector.job.xlsx_currency_export:
        class: 'Akeneo\Tool\Component\Batch\Job\Job'
        arguments:
            - '%pim_connector.job_name.xlsx_currency_export%'
            - '@event_dispatcher'
            - '@akeneo_batch.job_repository'
            -
                - '@pim_connector.step.xlsx_currency_export.export'
            - true
        tags:
            - { name: akeneo_batch.job, connector: '%pim_connector.connector_name.xlsx%', type: '%pim_connector.job.export_type%' }
